package com.example.petstoremobile.dtos;

import java.math.BigDecimal;

public class ProductSupplierDTO {
    private Long productId;
    private String productName;
    private Long supplierId;
    private String supplierName;
    private BigDecimal cost;
    private String createdAt;
    private String updatedAt;

    // Constructor for create/update
    public ProductSupplierDTO(Long productId, Long supplierId, BigDecimal cost) {
        this.productId = productId;
        this.supplierId = supplierId;
        this.cost = cost;
    }

    public Long getProductId() {
        return productId;
    }

    public String getProductName() {
        return productName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public String getUpdatedAt() {
        return updatedAt;
    }
}